import { CheckAll } from './check-all';

const MOCK_APP = {
  utilRegistry: {
    initAll: () => {},
  },
};

describe('CheckAll', () => {

  let checkAll;

  beforeEach(() => {
    const element = document.createElement('table');
    checkAll = new CheckAll(element, MOCK_APP);
  });

  it('should create', () => {
    expect(checkAll).toBeTruthy();
  });

  it('should throw if called without an element', () => {
    expect(() => {
      new CheckAll();
    }).toThrow();
  });
});
